Bug 165565 - CVE-2005-2456 IPSEC overflow
Summary: CVE-2005-2456 IPSEC overflow
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard: impact=important,public=20050725,sour...
Keywords: Security
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-08-10 14:38 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
6 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 15:31:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Mark J. Cox 2005-08-10 14:38:51 UTC
+++ This bug was initially created as a clone of Bug #165560 +++

When a user specified IPSEC rule to compile is given, we don't check
the bounds of the direction, leading to overflows of the in-socket
IPSEC rule array.  This could allow a local unprivileged user to cause memory
corruption.

Fixed upstream here on 20050726
http://linux.bkbits.net:8080/linux-2.6/cset@42e6bc85npULs5heBLcOs_2M2zCpQ

See the following threads for a test program and more desciprtion

http://www.mail-archive.com/netdev@vger.kernel.org/msg00520.html
http://www.mail-archive.com/netdev@vger.kernel.org/msg00523.html

Note that a fix for this is already committed for RHEL4 U2 in
linux-2.6.12-network.patch

This doesn't affect 2.4 upstream however RHEL3 contains this functionality as a
backport in linux-2.4.21-ipsec.patch

Comment 2 Ernie Petrides 2005-08-10 21:46:59 UTC
Mark, please correct the first link in the initial comment.  That
one refers to some unrelated upstream change.  Thanks in advance.


Comment 4 Mark J. Cox 2005-08-11 09:16:15 UTC
Something strangely filtered the -
http://linux.bkbits.net:8080/linux-2.6/cset@42e6bc85npULs5heBLcOs_2M2z-CpQ

Comment 5 Ernie Petrides 2005-08-11 21:45:13 UTC
John, do you have any time to look at this?  DaveM says he can't address it
until the end of next week, and we're considering a U6 respin before then.

Mark, do you have any information on how to reproduce this problem?

Comment 6 John W. Linville 2005-08-15 18:06:16 UTC
The patch seems obvious enough.  I have test kernels available here: 
 
   http://people.redhat.com/linville/kernels/rhel3/ 
 
Is anyone in a position to test against an exploit? 
 
Ernie, how soon do you need this for a respin? 

Comment 7 Ernie Petrides 2005-08-15 18:33:24 UTC
John, Mark is not in a position to test kernel fixes.  So you'd need to
recreate the problem from the info available and then verify that the fix
addresses the problem.

We're considering a mid-week target for the U6 respin, which means it would
be desirable to have all relevant patches posted by end-of-day tomorrow.


Comment 10 Ernie Petrides 2005-08-17 20:22:03 UTC
Reverting to ASSIGNED state.  Fix is on target for next RHEL3 U6 respin.

Comment 11 Ernie Petrides 2005-08-19 22:09:29 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-35.EL).


Comment 14 Red Hat Bugzilla 2005-09-28 15:31:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.